# AdapterHub Notebooks

Here you can find a collection of notebooks for AdapterHub and the adapter-transformers library.

The table shows notebooks provided by AdapterHub and contained in this folder that show the different possibilities of working with adapters.

As adapter-transformers is fully compatible with HuggingFace's Transformers, you can also use the large collection of official and community notebooks there: [🤗 Transformers Notebooks](https://github.com/huggingface/transformers/tree/master/notebooks).


| Notebook        | Description          |   |
|:----------------|:---------------------|--:|
| [01: Training an Adapter](https://github.com/Adapter-Hub/adapter-transformers/blob/master/notebooks/01_Adapter_Training.ipynb) | How to train a task adapter for a Transformer model | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/Adapter-Hub/adapter-transformers/blob/master/notebooks/01_Adapter_Training.ipynb) |
| [02: Using Adapters for Inference](https://github.com/Adapter-Hub/adapter-transformers/blob/master/notebooks/02_Adapter_Inference.ipynb) | How to download and use pre-trained adapters from AdapterHub | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/Adapter-Hub/adapter-transformers/blob/master/notebooks/02_Adapter_Inference.ipynb) |
| [03: Adapter Fusion](https://github.com/Adapter-Hub/adapter-transformers/blob/master/notebooks/03_Adapter_Fusion.ipynb) | How to combine multiple pre-trained adapters on a new task using AdapterFusion | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/Adapter-Hub/adapter-transformers/blob/master/notebooks/03_Adapter_Fusion.ipynb) |
| [04: Cross-lingual Transfer](https://github.com/Adapter-Hub/adapter-transformers/blob/master/notebooks/04_Cross_Lingual_Transfer.ipynb) | Hoe to perform zero-shot cross-lingual transfer between tasks using the MAD-X setup | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/Adapter-Hub/adapter-transformers/blob/master/notebooks/04_Cross_Lingual_Transfer.ipynb) |
